/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// 该脚本由模板创建，不可修改
/// created by chenwb 2024

import { FguiViewModel } from "../../../../frameWork/fgui/mvc/FguiViewModel";

export class ChatVM extends FguiViewModel {

    readonly Bg: fgui.GComponent;
    readonly ChatList: fgui.GList;
    readonly TxtInput: fgui.GTextInput;
    readonly BtnSend: fgui.GButton;

    constructor(panel: fgui.GComponent) {
        super(panel);
        this.Bg = panel.getChild("Bg") as fgui.GComponent;
        this.ChatList = panel.getChild("ChatList") as fgui.GList;
        this.TxtInput = panel.getChild("TxtInput") as fgui.GTextInput;
        this.BtnSend = panel.getChild("BtnSend") as fgui.GButton;

    }
}